# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.storage.StorageServiceSearch

Packages that use StorageServiceSearch
Package
Description
net.shibboleth.idp.attribute.resolver.dc.storage.impl
Implementation of StorageService-backed data connector.

## Uses of StorageServiceSearch in net.shibboleth.idp.attribute.resolver.dc.storage.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.storage.impl that return StorageServiceSearch
Modifier and Type
Method
Description
`StorageServiceSearch`
TemplatedSearchBuilder.`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.
Methods in net.shibboleth.idp.attribute.resolver.dc.storage.impl with parameters of type StorageServiceSearch
Modifier and Type
Method
Description
`protected Map<String,IdPAttribute>`
StorageServiceDataConnector.`retrieveAttributes(StorageServiceSearch executable)`
Attempts to retrieve attributes from the data source.